complexType "ExerciseProcedureOption"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | manualExercise | automaticExercise?
</...>

Content Model Elements (2):

  automaticExercise (in exerciseProcedure in optionExpiry defined in Events.model group),
  manualExercise (in exerciseProcedure in optionExpiry defined in Events.model group)

All Direct / Indirect Based Elements (1):

  exerciseProcedure (in optionExpiry defined in Events.model group)

Known Usage Locations

- As direct type of elements (1):
  exerciseProcedure (in optionExpiry defined in Events.model group)

Annotation
A type describing how notice of exercise should be given. This can be either manual or automatic.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ExerciseProcedureOption"> <xsd:choice> <xsd:element name="manualExercise" type="Empty"/> <xsd:element minOccurs="0" name="automaticExercise" type="Empty"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
automaticExercise

  Type: | Empty, empty content

  If automatic is specified then the notional amount of the underlying swap, not previously exercised under the swaption will be automatically exercised at the expriration time on the expiration date if at such time the buyer is in-the-money, provided that the difference between the settlement rate and the fixed rate under the relevant underlying swap is not less than the specified threshold rate. The term in-the-money is assumed to have the meaning defining in the 2000 ISDA Definitions, Section 17.4 In-the-money.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="automaticExercise" type="Empty"/>

manualExercise

  Type: | Empty, empty content

  Specifies that the notice of exercise must be given by the buyer to the seller or seller's agent.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="manualExercise" type="Empty"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.